Summary: mcrypt
Name: mcrypt
Version: 2.2.2
Release: 1
Copyright: GPL
Source: ftp://argeas.cs-net.gr/pub/unix/mcrypt/mcrypt-%{PACKAGE_VERSION}.tar.gz
Vendor: Nikos Mavroyanopoulos <nmav@i-net.paiko.gr>
Group: Applications/File
Buildroot: /var/tmp/mcrypt-root

%description
A replacement for the old unix crypt(1) command. Mcrypt uses the following 
encryption (block) algorithms: DES, 3DES, CAST-128, CAST-256, LOKI97, TEA,
3-WAY, BLOWFISH, TWOFISH, RC2, RC6, IDEA, GOST, SAFER, SAFER+, ECB, CBC, CFB,
OFB, nOFB. The Unix crypt algorithm is also included, to allow compability
with the standard Unix crypt(1) command.

%package -n libmcrypt
Summary: libmcrypt is a data encryption library.
Group: System Environment/Libraries
Version: 2.2
Copyright: LGPL

%description -n libmcrypt
The  libmcrypt  is a data encryption library.  The code is thread safe.
It provides encryption and decryption  functions,  This  version of the
library supports many encryption algorithms and modes. Algorithms
supported are: Blowfish(448,256,192,128), DES, TripleDES, 3-WAY, GOST,
SAFER-SK64, SAFER-SK128, CAST-128, xTEA, RC2, TWOFISH(256,192,128),
IDEA and RC6 (for RC6 and IDEA read the README.nonfree included in the
distribution).

%package -n libmcrypt-devel
Summary: Developmet files of the libmcrypt data encryption library.
Group: Development/Libraries
Version: 2.2
Copyright: LGPL

%description -n libmcrypt-devel
Header file and static libraries of libmcrypt data encryption library.

%changelog
* Tue Aug 24 1999 Peter Soos <sp@osb.hu>
- Updated to mcrypt version 2.2.2
- Built separate library packages

* Mon May 17 1999 Peter Soos <sp@osb.hu>
- Updated to version 2.1.19
- Rebuilt under RedHat Linux 6.0
- Corrected file list and permissions

%prep
%setup

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=/usr
make
cd doc
makeinfo mcrypt.texi

%install
rm -rf ${RPM_BUILD_ROOT}
make "prefix=${RPM_BUILD_ROOT}/usr" \
     "exec_prefix=${RPM_BUILD_ROOT}/usr" \
     "RM=/bin/rm -f" install
ln -sf mcrypt ${RPM_BUILD_ROOT}/usr/bin/crypt
ln -sf mcrypt.1 ${RPM_BUILD_ROOT}/usr/man/man1/crypt.1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0644, root, root, 0755)
%doc doc/FORMAT doc/README* doc/THANKS doc/magic doc/sample.mcryptrc
%attr(0755, root, root) /usr/bin/*crypt
/usr/man/man1/*crypt.1
/usr/share/locale/*/LC_MESSAGES/mcrypt.mo
/usr/info/mcrypt.info

%files -n libmcrypt
%defattr(0644, root, root, 0755)
/usr/lib/libmcrypt-2.2*

%files -n libmcrypt-devel
%defattr(0644, root, root, 0755)
%doc libmcrypt/doc/README* libmcrypt/doc/example.c libmcrypt/AUTHORS
%doc libmcrypt/ChangeLog libmcrypt/README libmcrypt/TODO libmcrypt/TODO
/usr/lib/libmcrypt.a
/usr/lib/libmcrypt.la
/usr/lib/libmcrypt.so
/usr/include/mcrypt.h
/usr/man/man3/mcrypt.3
